## org.apache.commons.collections
Interface Transformer

All Known Implementing Classes:
  ChainedTransformer, CloneTransformer, ClosureTransformer, ConstantTransformer, ExceptionTransformer, FactoryTransformer, InstantiateTransformer, InvokerTransformer, MapTransformer, NOPTransformer, PredicateTransformer, StringValueTransformer, SwitchTransformer

public interface Transformer

Defines a functor interface implemented by classes that transform one object into another.

A `Transformer` converts the input object to the output object. The input object should be left unchanged. Transformers are typically used for type conversions, or extracting data from an object.

Standard implementations of common transformers are provided by `TransformerUtils`. These include method invokation, returning a constant, cloning and returning the string value.

Since:
  Commons Collections 1.0
Version:
  $Revision: 1.10 $ $Date: 2004/04/14 20:08:57 $
Author:
  James Strachan, Stephen Colebourne

Method Summary
`Object` `transform(Object input)` Transforms the input object (leaving it unchanged) into some output object.

Method Detail

### transform

    public Object transform(Object input)

  Transforms the input object (leaving it unchanged) into some output object.

  Parameters:
    `input` - the object to be transformed, should be left unchanged
  Returns:
    a transformed object
  Throws:
    `ClassCastException` - (runtime) if the input is the wrong class
    `IllegalArgumentException` - (runtime) if the input is invalid
    `FunctorException` - (runtime) if the transform cannot be completed

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.